ProfiCAD - electrical schematics software

ProfiCAD manual as PDF (right-click and select Save as...)


Getting started

Symbol Library

You can rearrange the symbol library to suit your needs. Change the organization of the groups of symbols depending on what drawings you draw. Split, merge and delete groups of symbols in the library.

Sample drawings

Have a look at the sample drawings in the Documents panel to get an idea about the abilities of the software.

Program controls and keyboard shortcuts

Learn the keyboard shortcuts (at least the most important ones) and the how to control the program.

Feedback wanted

We welcome any questions and tips for program improvement. Please send your feedback to: info@proficad.com.


Frequently asked questions and answers

How do I setup page orientation (landscape or portrait)?

Use the print settings and page size dialogues.

I am getting errors when trying to update ProfiCAD

Please disable your anti-virus software.

If that does not help, download ProfiCAD for flash drive, unpack its contents and copy files ProfiCAD.exe, common.dll and proficad.chm to the folder where ProfiCAD is installed (probably C:\Program Files\ProfiCAD (x86))

In File – Options – Variables I entered values for the „title“ and „titleSup“ variables, but they do not appear in the title block.

These two variables are different for each page. That is why they need to be entered in the Page panel (double-click the page). If you want these two variables to be the same on all pages, enter them in File – Options – Variables and delete them from the Pages panel.

At program startup there is no grid nor any page frame

Use the print settings and page size dialogues.

How to setup numbering of a symbol, for example to be W1, W2, W3 instead of R1, R2, R3

  1. Open the symbol (right-click the symbol in panel "Symbols Graphically" and select open symbol)
  2. Press F12 and select Symbol
  3. Change default reference
Also, see this video.

Message "out of memory" appears

This may happen if the drawing contains too large images (data size of many MB). There are two possible solutions:

  • Use the menu command File - Purge. This will delete unnecessary objects from the drawing.
  • Remove the images from the drawing, edit them in a graphics program (to have smaller size) and insert them again.

I cannot open the Properties panel

Delete the registry key HKEY_CURRENT_USER\Software\ProfiCAD\ProfiCAD\DockingPaneLayouts\panes.8.2.0 and restart ProfiCAD.

My line types disappeared - I can only see a solid line

The symbol library must contain folder _LIN with a file lines.lin . You can determine the path to the library in program settings (F12) - Paths

There are several objects on my page but I cannot select anything

The objects may be in a different layer. Switch into the right layer.

Do you have a version for Linux?

No.

Do you have a version for Mac?

No.

How can I add symbols to the favorites pane?

Drag them onto the heart icon.

How to import from PDF?

PDF can not be inserted directly into a ProfiCAD drawing. One can take a screenshot and then insert it as an image.

Sometimes there is a need that the arrow is pointing backwards and has to be drawn again.

To reverse the arrow, select it by clicking on it and then select a link flip arrow at the bottom of the Properties.

What symbols are available in the full version? Do you have other symbols?

The full version contains the same symbols as the home version. The symbol library is being enhanced continuously. You can easily create symbols in the ProfiCAD symbols editor.

You can find additional symbols on gallery.proficad.com. If you created symbols on your own, please consider submitting them to the library.

If I modify a symbol in the symbol editor, will this symbol be changed in all diagrams I have already drawn?

No! It is not possible as each symbol is stored as a unique copy in every diagram. Your diagram is therefore independent on you library of symbols and it can easily be transmitted to anyone else.

The cross reference of a connection does not work

Make sure that the connection is not terminated with a dot.

Drawing cannot be opened

  1. If the drawing cannot be opened by double-clicking it in Windows Explorer, use the File - Open menu.
  2. Maybe the drawing was created in a newer version of the program. To find out, open the drawing in a text editor (right-click the file and select "open with", and choose a program like Notepad or similar). The version of the drawing is indicated in readable form at the beginning of the file.
  3. If the drawing appears as an illegible jumble of characters in the text editor, it is not a ProfiCAD drawing. In this case it is possible that the drawing was damaged by a virus.

When I attempt printing the diagram on the 5L laser printer, some lines blur and some parts of the diagram are not printed at all.

Adjust the resolution of your printer from 600 DPI to 300 DPI (see Printer property settings).

Dashed line prints as solid line

Invoke Print (by Ctrl + P or the Printer icon)

The next step is somewhat different for each printer.

Click on “Properties” Click on “Advanced” Locate “Print Quality” Locate “Resolution” Find the “Vector” and “Raster” options, select “Raster”

An object cannot be selected - when clicking on an object it cannot be selected and a different object, further from the pointer is highlighted instead.

When creating a symbol, graphical shapes need to be placed in a symmetric way, so that the symbol is symmetric to axes of the working screen.

A yellow frame, which is much larger than the circuit symbol itself, appears around the circuit symbol.

The problem can have two causes:

  • Various artefacts (e.g. very small lines, forgotten outlets, etc.) have arisen during the creation of the circuit symbol, which have been overlooked. The result is that the circuit symbol appears larger, because the surfaces of the frame are also included. The solution is to remove these artefacts, preferably with the aid of Panel Explorer. Should that be the case, the circuit symbol is to be replaced in the circuit plan by a corrected circuit symbol.
  • The circuit symbol is not drawn in symmetrical to the axes of the work surface. The solution is to draw the circuit symbol symmetrically.

Can I customize the gates? When I insert a gate, the program lists only the default gate symbol to select and I have not found a way how to customize it.

After you insert the gate, press the Escape key (to make the cursor change to arrow), place the arrow over the gate and click the right mouse button. A dialog box allowing you to customize the gate parameters (number of outlets, gate type, etc.) will appear.

Program Relocation

If you need to move the program to a different directory or a new computer, just move the above mentioned files. It is not necessary to reinstall the program. The program may also be run from an external hard disk or a flash disk.


Keyboard shortcuts - accelerators

To speed up work with the program the following keyboard shortcuts may be used:

SHORTCUT | ICON | MENU COMMAND
Ctrl + A |  | Edit - Select All
Ctrl + B |  | Edit - Copy to clipboard as image
Ctrl + C |  | Edit - Copy
Ctrl + N |  | File - New
Ctrl + O |  | File - Open
Ctrl + P |  | File - Print
Ctrl + S |  | File - Save
Shift + S |  | File - Save As
Ctrl + V |  | Edit - Paste
Ctrl + W |  | Closes the current document
Ctrl + X |  | Edit - Cut
Ctrl + Z |  | Edit - Back
* on Numeric Keyboard |  | View - Center working area
F1 |  | Help
F4 |  | Switch layer
F5 |  | Redraw the list of symbols in diagram editor
F12 |  | File - Options
B |  | Draw - Curve
C |  | Draw - Circle
G |  | Draw - Polygon
E |  | Draw - Ellipse
H |  | Insert - Gate
L |  | Draw - Polyline
M |  | View - Grid
N |  | Insert - Label
R |  | Draw - Rectangle
S |  | Insert - Wire
T |  | Insert - Text
U |  | Draw - Line
Z |  | Draw - Rounded rectangle
Esc |  | Go to selection mode
space bar |  | Instant search for symbols
backspace |  | During drawing lines and wires, cancels the last segment of the line

mouse and keyboard program control overview:
right mouse button + mouse movement | moves the document area
Shift + drag object | moves object and disregards the snap
Ctrl + drag object | cloning
Ctrl + Shift + click | adds or removes object to/from the selection
mouse wheel | zoom
Shift + mouse wheel | horizontal shift of the drawing
Ctrl + mouse wheel | vertical shift of the drawing
Ctrl + Shift + mouse wheel | smooth zoom
holding Ctrl while drawing rectangles, ellipses and lines | orthogonal drawing mode
pressing the cursor keys (arrows) | moves selected objects by 0.1 mm


Electrical symbols and diagrams

ProfiCAD gallery

ProfiCAD gallery, which can be found at //gallery.proficad.com, is an Internet service for ProfiCAD program users.

On the ProfiCAD gallery website you can find symbols and diagrams, which have been created by other ProfiCAD users. You can share symbols and diagrams you created with others, just send them to the gallery.


Panels

ProfiCAD provides several panels that facilitate common tasks. These panels can be dragged and docked to any side of the working area. They either auto-hide to conserve space or they can be pinned.

There are two small buttons in the top right hand corner of each panel. You can use the first one (pin) to pin the panel to switch off the auto-hide feature. The other button closes the panel completely. It can be re-opened by menu command Show - Panel or using the Panels toolbar.

ProfiCAD panels toolbar

The panels toolbar contains these buttons:

  1. documents
  2. symbols graphically
  3. symbols textually
  4. favorites
  5. explorer
  6. properties
  7. integrated circuits
  8. layers
  9. pages
  10. search


Documents

The Documents panel allows you to preview documents without opening them.

The panel shows documents from a directory (path) which is listed in the F12 - paths tab. The panel does not show documents that are located directly on the specified path. You need to create subgroups (directories) for each group of documents.

CAD drawings preview

For example, if the path to the documents is "D:\drawings\", you need to create several subdirectories, e. g. "D:\drawings\Project1\", "D:\drawings\Project2\" etc. and place your drawings into them.

A document can be opened by clicking on the thumbnail of the document.

drawings templates

A right-click menu appears with the item create a similar document. If you often create similar documents, you can create a document as a template and then create documents as a copy of the template.


Symbols and favorites

Panel Symbols is used to insert symbols into the document. It has two parts: the upper part shows groups of symbols. The lower one shows symbols of the active group.

How to add a symbol to the favourites panel:

a) Select a symbol in the "symbols textually" panel and drag it over the heart icon of the favourites panel.

b) Right-click a symbol in the "symbols graphically" palette and select menu item add to favourites.

How to remove a symbol from the favourites panel:

Use the Del key on the keyboard to delete a symbol from the Favourites panel.


Explorer

Panel Explorer facilitates work with large documents. It makes it easy to select small object that would be difficult to select using the mouse.

With Explorer it is possible to discover some errors - for example having two symbols in the same position, a line that is too short and therefore cannot be seen etc. Removing such objects from the document reduces its size and makes ProfiCAD work faster.


Layers

Layers can be seen as transparent films to draw individual parts of the drawing on. For example, one layer can be used for brickwork, another for wiring, another for heating, etc.

buttons in the layers panel

The Layers panel is used for switching through layers. Select the active layer (currently used in the drawing) from the list.

The electrical circuit should be drawn in one layer (it should not be divided into several layers).

Buttons:

  1. moves a layer up.
  2. moves a layer down.
  3. adds a layer.
  4. renames a layer.
  5. deletes a layer. Only empty layers can be deleted.


Properties

If the Properties panel is not visible, double-click the object you want to change to display it.

Positions of objects are shown in tenths of mm. Line style is selected from a list. You can define custom line styles.

If two components with the same hatching type are displayed next to each other, it is necessary to ensure that the hatching of the components is not linked. This can be ensured by modifying the setting of these two values (or just one of these values). The upper picture shows an incorrect setting of hatching, the lower picture shows the correct setting.


Integrated circuits

You can use IC panel to set up properties of integrated circuits.

integrated circuit settings


Pages

The Pages panel allows you to create multipage documents. The icon of the panel represents a drawing in a spiral binding.

buttons of panel Pages

Buttons of the Pages panel:

  1. moves a page up
  2. moves a page down
  3. adds a page
  4. deletes a page
  5. shows list of pages
  6. copies a page to the clipboard
  7. pastes a page from the clipboard
  8. adds a report

Double-clicking a page displays a dialog box, where properties of the page can be set.

Each page has a short name (recommended length is 4 characters) that appears in the panel Pages and in the cross references. If a title block is enabled, it is displayed on all pages.

Where to enter data for the title block:

data common for all pages (e.g. author, company etc.) | data for a particular page (e.g. title, supplementary title)
F12 - Document - Variables | double-click the page in the Pages panel and select tab Variables

In the title block you can use new system variables generated automatically by the program.


Search Symbols

Pressing the space bar brings up a dialog box. Enter the search term into the text box (1). Symbols and folders containing the search term will appear in the list (2).

Double click a symbol to insert it into the drawing. Double click a folder (yellow rectangle) to display its contents. The name of the selected folder will appear at the top of the window (3). The button (4) switches to the parent folder of the current folder.

Right-click to display a context menu that allows two actions:

  • view the folder of the symbol
  • add a symbol to the Favorites panel


How to draw electrical diagrams

  1. Choose the size of the drawing and set it in the print settings and page size dialogues.
  2. insert title block (if not already inserted) using command program settings (F12 - title block)
  3. if you will need multiple layers, prepare them in the Layers panel a name them accordingly to their intended use
  4. if you want to use a scanned floor plan, insert it in the lower layer
  5. for the coarse objects placement start with snap 10 mm and decrease it when needed
  6. insert the symbols and other objects and place them to their final positions. Leave some space at the edges of the drawing to allow for the possibility of printing on a different printer.
  7. Before you draw connections (wires), make sure that the symbols are properly placed (at least the most important ones). It is possible to move symbols with wires attached to them, but only for short distances. The shift of already wired symbols may break their connections.
  8. Use the s key to switch to the wires drawing mode and start drawing wires. Start with the major wires crossing the entire length of the drawing. If any connection was started the wrong way and you are not able to continue, you can cancel the latest diversion by pressing the backspace key. You can end a connection in the air by pressing the right mouse button.
  9. you can use the function File - List of wires to verify all wires have been attached correctly
  10. make sure no texts, symbols nor wires overlap


How to insert symbols

There are four ways to insert a symbol into a drawing:

from the "Symbols Graphically" panel

Click on the symbol you want to insert into the drawing.

from the Symbols Textually panel

from the Favourites panel

from the search symbols window

Transformers and Gates: Select Insert - Transformer or Insert - Gate. Now click in the drawing where you want to place the symbol. After you switch to the select mode (by clicking the Esc key), you can set up properties of the symbol by right-clicking it.

Symbols properties

Every symbol has two basic properties: reference and type.

The reference is a unique identification of the symbol in the drawing.

The type defines electric properties of the symbol, e.g. resistance in Ω, capacity in pF, transistor type, etc.

For each symbol you can also set the position of the labels describing the reference and type properties. The units are tenths of mm. The easiest way to set the position of these labels is to drag the text by mouse. If you need to set up the label position more precisely set the position by numbers.

When a diagram contains a symbol, which is not in your library (you obtained the diagram from someone), you can save it (by clicking on the Save a copy link) and update your symbol library.

Automatic numbering

All symbols in the diagram are automatically numbered, e.g. have a unique type number. For instance if the symbol reference is "R", individual symbols of the same kind are numbered "R1", "R2"... etc. If no implicit reference is selected for the symbol, only the numbers are assigned to it, e.g. "1", "2"... etc.

Color of symbols

Individual symbols in the diagram can be colored. The color is selected by the Object - Border color menu command.

Color fill of symbols

Some symbols can be color filled. This concerns symbols, which have closed areas, like circles, ellipses, rectangles, polygons, sections and slices of a circle.

The fill color is set in the Properties panel or (if you want to color fill more symbols) using the command Object - fill color. The areas that have been colored in the editor of symbols, keep their original color.

electrical symbols color filled

When filling a symbol with color, it may happen that some lines disappear, because they are covered by the colored area. In that case, open the symbol (right click on the mouse in the panel of symbols) and change the order of objects in the Explorer panel. Put the closed areas at the top of the list, so that they do not cover other objects.


How to draw electrical wires

It is recommended to draw wires between the symbols only after you have placed all the symbols into your diagram.

Proceed as follows:

1. Select Insert - Wire or press the Wire button on the toolbar. You can also use the short-cut s key.
2. The mouse pointer shape changes (soldering iron).
3. Move the pointer to the connection point, where you want to start the wire. Click when the connection points turns red.
4. Click to make a diversion. Press the Backspace button to cancel the latest diversion.
5. Move the mouse pointer to the target connection point. Click when it turns red.
6. After the first wire is completed you can start drawing the next one. You can interrupt wire drawing any time by pressing the Esc key.

Drawing a wire between a symbol and another wire

1. The procedure is the same as when drawing a wire between two symbols but in this case you end the wire on the next wire (by clicking the left mouse button). A drop showing the interconnection of wires will be added automatically.
2. In case of crossed wires you can draw the drop showing the junction of wires using the Insert - junction menu command. You can also use the icon on the toolbar.

Adjustment of completed wires

If there is enough space around the wire, it can be freely moved as shown in the picture:

Drawing the wires starting or ending "in the air"

Start by pressing the right mouse button. Proceed in the normal way (draw diversions by clicking the left mouse button). End your wire "in the air" pressing the right mouse button.

wire ending in the air

striped wires

the procedure:
  1. select a wire, if the Properties panel is not visible, double-click the wire
  2. if the Properties panel select a line type
  3. select the first color
  4. select the second color
  5. enable the second color
setting up a striped wire


How to draw cables

The program enables drawing of cable symbols and creates a list of cables.

Choose Insert - Cable from the menu and use the mouse to cross the connections that create the cable.

In the dialog window that opens enter the name, type, and estimated length of the cable.

In the lower part of the dialog box, there is the Core labels area. You can enter a label for each cable core and whether the label should be visible. The cable core labels appear in the drawing and in the list of cables print report.

End drawing of cables by pressing Esc.

NOTE:

During the drawing of a cable symbol, the wires under the symbol are labeled as part of this cable. If the cable symbol is moved (or copied) over other wires, those wires will not be labeled correctly.

How to fix the wire label as part of the cable:

  1. Select the wire (connection).
  2. In the Properties panel, enter the cable name in the Cable field.

Cable Manager (menu Outputs - Cable Manager) allows you to depict all cables in the drawing and to specify their properties. You can change name, type and length of a cable.

Cables List (menu Outputs – Cables List) allows you to print a list of cables. Checking the group option will display the total length of cables by type.

How to change name, type or length of a cable:

  • Right-click the cable symbol and select Properties. A dialog window for changing the cable data will open.
  • Change the values in the Cable Manager table.

Cables with multiple symbols

One cable can constitute of multiple symbols with the same cable name. This is useful for example when the cable continues on another page, or when each cable symbol contains only part of the cores of the cable.

How to rename a cable

a) in the Properties panel - all symbols of the given cable are renamed.

a) right-click on the cable symbol and select Properties - only this cable symbol is renamed.


How to draw graphical shapes

graphical shapes are used to draw links between individual components of electric wiring diagrams, such as mechanical links between individual components, border lines around individual functional units, etc.

Individual graphical shapes to be drawn may be selected from the Draw menu or by pressing the corresponding soft button on the toolbar.

Selection mode

Do one of the following to switch to Select mode:

  • press the Esc key on the keyboard
  • click this icon:
  • move mouse pointer to the toolbar area in the upper part of the main window

Line

First select the line graphic object from the Draw menu. Then click the left mouse button at the starting point of your line, drag the mouse to the end point of your line and press the left mouse button. You can now start drawing another line or select a new graphic object from the menu.

Polyline

First select the polyline graphic object from the Draw menu. Then click the left mouse button at the starting point of your line, drag the mouse to the next point of your line, press the left mouse button, drag the mouse to the next point, etc. After you have completed drawing the polyline, press the Esc key.

Curve

Use this function to draw one or several linked Bezier curves. The curves are automatically linked together to get a smooth link.

First select the curve graphic object from the Draw menu. Then click the left mouse button at the starting point of your curve, drag the mouse to the next point of your curve, press the left mouse button, drag the mouse to the next point of the curve, etc. After you have completed drawing the curve, press the Esc key.

The Bezier curve shape is defined by 4 points: two end points and two control points. The ends of the curve are defined by the two end points. The curve shape also depends on the control points, which act like magnets. Based on the distance of the control points from the end points the shape of the curve is defined. Therefore the curve may take many different shapes.

Rectangle

First select the rectangle graphic object from the Draw menu. Then click the left mouse button at the rectangle left upper corner, drag the mouse to the right bottom point of your rectangle and press the left mouse button. You can now start drawing another rectangle or select a new graphic object from the menu.

Rounded rectangle

The procedure is similar to drawing a rectangle except a third point, which is used here to define rectangle rounding.

Arc, chord and pie

Proceed in the same way as when drawing a rectangle but you will also need to set up the starting and end angles of the arc. Enter the values of the angles in the Properties panel in tenths of degree.

Ellipse

The procedure is similar to rectangle drawing but the inscribed ellipse is drawn instead of the rectangle.

Polygon

Draws a polygon.

Click successively at the places where you want the vertices of the polygon to be located. After you have completed drawing the polygon, press the Esc key.

Outlet

Outlet can be inserted only in symbols editor (documents with extension ".ppd"). It is defined by one point. It is displayed in red color to be easily visible and it is larger when it is selected.

How to draw arrows

Draw a line, Bezier curve or an arc and select type of the arrow in the Properties panel.

The direction of the arrow can be changed by clicking on the link flip arrow in the bottom part of the Properties panel.

Orthogonal drawing mode

Orthogonal drawing mode is activated by pressing Ctrl key when drawing objects. Lines are drawn vertically, horizontally or with angle 45°. Rectangles and ellipses are drawn as squares and circles in this mode.

Ability to add or remove points of a line or a polygon

This function allows adding to or removing points of a line or a polygon.

Procedure:

  • Select line or polygon.
  • Select menu command Edit – Add or delete
  • By clicking on line edge add a point (A)
  • By clicking on line node delete a point (B)
  • Press Esc to return to Selection mode

Smooth modification of Bezier curve control points

modification of Bezier curve control points

If the Ctrl key is pressed when a Bezier control point is moved, the program moves the opposite control point so as to make the curve smooth.

Dashed line

Select the line and set the line type in the Properties window. Use the Line type Scale property to change the size of the line segments. For example, a value of 1.3 increases the length of the line segments to 130%.

Hatching

Select a closed graphic object and choose a type of hatching in the Properties panel.


Reference grid

Reference grid serves for better orientation in large drawings. It can be set using command File - Options - Document - Reference Grid. You can specify along which edges the grid will be displayed. It is also possible to enable centering marks.

enable the reference grid

The area (sector) where the mouse pointer is located is shown in the status bar. It is also displayed in the list of wires for the ends of each wire.

list of wires

The reference grid is available in the paid version of ProfiCAD only.


Import from DWG and DXF formats

This feature is predominantly intended for pasting a building floor projection to a drawing and sketching electro-installation. The drawing imported from AutoCAD gets converted to an image. It is not possible to edit the individual objects (lines, blocks etc.).

Supported formats: DXF from version 12 and DWG from version 13.

The program supports two ways of importing from DWG and DXF formats:

a) Import of drawings

This option is suitable for complex drawings. The file will be converted to a bitmap. The imported drawing will not be editable.

b) Import of symbols

This option is suitable for schematic symbols or simple drawings. The file will be converted to graphic objects (lines, curves, circles, etc.). You can decompose the imported drawing into individual graphic items by right-clicking on it and selecting the menu command Decompose (explode).

Procedure:

  1. Invoke the Insert - DWG or DXF file command. Select the Import of drawings or Import of symbols option, after which a dialog box will appear. Use the Open button to open a DWG or DXF file. The conversion takes a few moments, after which a file preview is displayed.
  2. Insert the document into your drawing using the Insert button.

    a) Import of drawings: Use the Save button to save the document in PNG format, adjust it in a graphic program, and then insert it into the drawing using the Insert - Image command.

    b) Import of symbols: Use the Save button to save the symbol to the library of symbols.

  3. Use the mouse to adjust the imported drawing to the desired size.
The quality of the imported drawing depends on many factors, especially on the complexity of the drawing and on the software it was created in. We recommend that you test this feature carefully before purchasing ProfiCAD.


Inserting images

Images (such us photographs) can be inserted in the document. Supported image formats are BMP, JPG, PNG, GIF and WMF.

To insert an image into the document do one of the following:

  1. Select an image in Windows explorer, do Ctrl + C, then Ctrl + V in the ProfiCAD drawing.
  2. Drag and image from Windows explorer to the ProfiCAD drawing
  3. Use the menu commands Insert - Image. A dialog box allowing you to select the image you want to insert will appear.
  4. Paste s picture from clipboard
insert image dialog

Before you insert an image in the document, adjust the dimensions and resolution of the image in the graphics editor to avoid the increase of the document size. Avoid inserting images with size of many MB.

Pasting pictures from clipboard

The program allows you to insert an image from the Windows clipboard into the drawing. This is the easiest way to get a picture from another source, for example from a PDF catalog.

  1. In the PDF document, zoom in as much as possible to prevent the picture from being distorted. For example, use the zoom in command, or use the mouse wheel while holding the Ctrl key.
  2. Make a screenshot. For Windows 10, press Win + Shift + S. For older systems, press PrtScn.
  3. Switch to ProfiCAD and press Ctrl + V.


Working with objects

The following operations can be performed with objects (symbols, graphical shapes and text):

Selecting an object

Object (symbol or graphic object) can be selected by the left mouse button. If you want to select several objects at a time, press and hold the Ctrl + Shift keys while selecting the objects by clicking the left mouse button. If the objects we want to select are located in a rectangular area, we can select them in the following way:

1. click the left mouse button in the upper left corner of the area you want to select.

2. move the mouse pointer to the bottom right corner of the area you want to select while holding the left mouse button.

Cloning an object

Press and hold Ctrl key. Drag the object with mouse (as if you wanted to move it). A copy of the object is created.

Rotating

The program supports the following ways to rotate symbols, images and standalone texts:

  • Using the menu Object - Rotate
  • Using these icons:
  • In panel Properties - item angle (enter tenths of degrees, e.g. 30° enter as 300)
  • By dragging the round handle of the image. The angle is adjusted in steps of 15°. If the Shift key is being pressed, any angle can be adjusted.

Rotating other objects

Use menu command Object - Rotating graphical shapes.

Flipping

Symbols and some graphical objects can be flipped both vertically and horizontally. To flip an object use the menu commands Object - Flip horizontally or Flip vertically. You can also use icons from the toolbar to flip an object.

Deleting

Choose the object (using your mouse or in the panel Explorer) and press Delete.

How to set the contour thickness and line type

A double-click on the line brings up the panel Properties where the line appearance can be set.

Alignment

Symbols, texts and graphical shapes can be aligned. Use the menu commnad View - Align. The alignment commands become available when at least two objects are selected. The alignment is always based on the object that has been selected first.

Changing the order of graphical shapes layers

Right-clicking on an object will show commands Move forward, Move more forward, Move more backward and Move backward.

Availability of described operations

The following table summarizes operations, which can be performed with objects:

 | symbols | graphical shapes | texts | group of symbols
rotating | YES | NO | YES (only one row texts) | NO
flipping | YES | lines, curves and polygons | NO | YES
alignment | YES | YES | YES | NO
changing the order of graphical shapes layers | YES | YES | YES | NO


Inserting texts

You can paste any text into your document by using the Insert - Lettering or Insert - Text commands. The difference between the two is the initial font.

A right-click on the label shows a dialog box, where you can enter the text. Less frequent characters may be entered in the following ways:

  • using Alt + numeric code of the character. For instance, the character Ω can be inserted by pressing Alt + 937.
  • clicking on the selected character on the character map, which can be found in the left part of the dialog box. You can add the characters you need to use in the character map. This can be done in the program settings menu on the "Others" tab.
  • by entering the character from the Windows default character map (Start-Programs-Accessories-System tools-Character map).

Some characters may be displayed as a square. This is because these characters are not available in the selected font. Select another font. We recommend for instance the "Lucida Sans Unicode" font.

Character map

You can set up the characters you would like to add in the character map, which is displayed when entering texts in a document. The characters may be entered using Alt + numeric code (if you know the code) or via the standard Windows character map.


Cross references

wires

If two wires have the same name, they are considered to be connected (they have the same potential). The name of a wire can be entered in the Properties panel. If a wire ends in the air and there is another wire with the same name on another page, the reference to the other wire is automatically displayed.

symbols

A component is an electrical device that consists of one or more symbols.

For example, a relay coil and contacts. The main symbol is the relay coil; the individual contacts are subordinate symbols.

main and subordinate symbols

For example the main symbol of a component is labeled (reference) K5. The subordinate symbols would be labeled parent reference + dot + number, for example K5.1, K5.2 etc.

In other words, all symbols of a component have the same reference before the dot.

The subordinate symbols are normally not shown in the bill of material. If you want them to be shown, check the Show subordinate symbols on the bill of material dialog window.

If you follow this method of labeling, a reference table appears beside each symbol that is part of a component.

The figure shows the relay on page 1,

relais with cross references

and its contacts on page 2

contacts with cross references

Cross references are displayed in the format reference/page.zone, in accordance with the norm EN 61082-1, ​​article 5.8

The generation of the cross references is disabled by default. You can enable it in F12 - System - Symbols - Create cross references of symbols and Create cross references of wires.

When you move a symbol in the drawing, you can use the File - Refresh cross references command to update the zone of the symbols.


Hyperlinks

Hyperlinks can refer to any page or symbol. Clicking on the link will bring you to the target page or symbol.

To create a hyperlink:

  1. Enter text in the drawing and select it.
  2. In the Properties panel, in the Other group, enter the Link in the following format:
type of link | format | example
to a page | /short page name | /AUX
to a symbol | symbol/short page name | W5/AUX
to a file *) | file:/// + path to the file | file:///D:/contracts/contract.pdf
to a web page | http:// or https:// + rest of the URL | https://www.proficad.com/

*) The hyperlink to a file can be created easily by clicking the Link Target link in the bottom part of the Properties panel.

To prevent unwanted moves when clicking a link, to move a link it is necessary to keep the F6 key pressed.

It is advisable to set the appearance of the text to make it clear that it represents a link – i.e., in blue and underlined.


Wires numbering

Automatic numbering of wires can be set in program settings (F12) - Document - Wires numbering.

If the box enable wire numbering is checked, every new wire is numbered. If the box pad with leading zeros is checked, the wire numbers are padded up to a certain number of digits specified in the text box number of digits.

Another option is to leave the automatic wire numbering disabled and number the wires again once the drawing is completed. The renumber now button serves that purpose.


Copying style

The program allows to copy style (color, line type, fill type, etc.) from one object to another.

There are two ways to copy styles:

a)

  1. Right-click the source object and choose Copy Style
  2. Right-click the target object and choose Paste style
  3. If you want to copy the style to multiple objects, select the target objects and invoke the menu command Edit - Paste Style

b)

  1. Select the source object
  2. Press this icon in the toolbar: copy style
  3. Click on the target object. If you want to copy the style to multiple objects, hold down the Ctrl key.


Style library

The Style Library (menu Edit - Style Library) allows you to save and reuse frequently used styles of graphic objects (color, line type, fill type, etc.).

The styles in the library are displayed:

As lines: for lines and wires
As ellipses: for objects with fill (rectangles, ellipses, polygons, etc.)

The Style Library has two parts:

Temporary styles: saves automatically the last 20 styles that you have used.

Permanent styles: here are those styles that you want to keep permanently.

How to add a style to the Style Library

Copying a style automatically adds the style to the library. The style is added to Temporary Styles.

How to add styles to Permanent Styles

Drag it with the mouse onto the Permanent Styles tab. Similarly, you can remove a permanent style by dragging it onto the Temporary Styles tab.

How to use a style from the Style Library

  1. In the drawing, select the target object
  2. Open menu Edit - Style Library
  3. Select the style (either temporary or permanent)
  4. Click on Apply to selected objects or double-click on the style.

Automatic use of a style to wires

The program allows you to automatically apply a style to wires of a certain name. For example, a PEN style will be applied to a wire called PEN.

Steps:

  1. In the Permanent Styles tab, enter name of the wire for the given style.
  2. Draw a new wire and (in the Properties panel) enter the name of the wire.

The program copies the style from library to the wire.

Where are styles stored?

Styles are stored in the Symbol Library, in files
_CONF\styles\temp.xml a _CONF\styles\perm.xml


Dimensioning

Linear Dimension

Draws a horizontal or vertical dimension.

Click the icon [image] or select menu command Draw - Linear dimension. Click the mouse to select the first point (1) (start of the first extension line). Use the next mouse click to select the start of the second extension line (2). With the third mouse click, select the point (3), through which the dimension line will be drawn. This dimension line is either horizontal or vertical, depending on the position of the third point relative to the first two.

Aligned dimension

Draws a dimension at any angle

Click the icon [image] or select command Draw - Aligned dimension. The next procedure is the same as for linear dimensions.

Difference between linear and aligned dimensions: difference between linear and aligned dimensions

Diameter dimension

Used to dimension the diameter of a circle. Click the icon [image] or select menu command Draw - Diameter dimension. The program supports three ways to dimension a circle. The diameter dimension is defined by two points: the first point lies on the circle and the second point lies:

  1. inside of the circle
  2. outside of the circle
  3. at the opposite point of the circle

Dimension styles

The program contains several predefined dimensioning styles. Each page may have a different dimension style set.

Right-click the drawing, select Page Settings from the menu and select the Dimension Style tab. A dialog box appears, which allows you to:

  • choose one of the predefined styles
  • create a new dimension style
  • modify a dimension style
  • delete a dimension style
dimension style - select

Clicking on the button New or Modify brings up a dialogue window where you can modify the properties of the dimension style. The dialog box also includes a dimension style preview that illustrates the meaning of all parameters.

dimension style - edit

Dimensioning units

All dimensions on a page use the same dimension unit that you can set in the Dimension Style dialog box. The dimension unit is not referenced on the dimensions but may be listed in the title block. The corresponding system variable is {_du}.

Custom text

You can enter custom text in the Properties panel.


Snippets

You can save and reuse parts of drawings that you use frequently.

To save a snippet:

  1. In your drawing, select the objects that represent the snippet.
  2. Invoke the Edit – Save as snippet command.
  3. A dialog box will then appear. Enter the name of the snippet. You can also organize snippets in groups.

Use the Insert – Snippet command to insert a snippet into your drawing.

Transfer snippets to another computer:

The snippets are stored in the symbol library in the “_CONF\snippets” directory. Individual snippets are saved in files with the extension "snippet".


Reports

There are two types of reports:

Ad-hoc reports

These are displayed using the Outputs menu. They are useful mainly for filling in information about symbols and connections, because you can see the drawing as well as the report at the same time. The object being edited (symbol or connection) is highlighted in the drawing.

Embedded reports

buttons of panel Pages

These are added to the project using button (8) in the Pages panel They become a permanent component of the project and thus are printed out whenever a project is printed.

The same report can be embedded in the project more than once. For example, a list of symbols can be embedded once in the normal way and the second time grouped by type of symbol.

Once confirmed, the report will become a new page of the drawing.

Reports may have different page formats than the drawing pages. Every report may have a different page orientation as well.

How to set the page format for reports:

F12 – Document – Reports

How to set the page orientation for reports:

In the Pages panel, double click on the page to bring up a dialog box where you can select the Page Orientation tab.

Columns

To edit columns, right-click in the table header. A menu appears that allows you to:

columns menu
  • add or delete a column
  • move a column left or right
  • set column alignment
  • assign a variable to a column

Each column is assigned a variable. You can change this by using the Column settings menu item.

Each report contains several predefined variables. Some print reports (bill of material, list of wires) allow you to add columns with custom variables. These custom variables also constitute attributes of the symbols or wires.


Export to Image Format

pasting a diagram into MS Office

1. In ProfiCAD select command Edit - Copy the diagram to clipboard or Ctrl + B or icon [image]. Now switch to the application in which you want to paste the diagram (for instance MS Word) and press Ctrl + V. The image gets inserted in the document. Now you can change the size, location, position, background color, frame, etc.

2. In the ProfiCAD menu select File - Export. Select the EMF file format. An .emf file will be stored to your hard drive. The EMF file can be inserted any time to any application (for instance to MS Word).

supported image formats

  1. Bitmap
  2. PNG - Portable Network Graphics
  3. EMF - Enhanced Metafile (successor of the WMF - Windows Metafile)

export options

  1. Whole document - exports the whole document.
  2. Whole document including the title block.
  3. Screen - exports only the part of the document, which is currently visible on the screen. Before using this option adjust window size so that the area of the drawing you want to export is visible.
  4. Automatic - the program automatically selects the minimum size of the document required for displaying all symbols and graphical shapes.

Note:

If you export to EMF format, the program automatically selects the automatic export option, regardless the setting you made in the dialog box.

Resolution of the image is determined by the zoom that was active when the export was made - the larger zoom, the higher resolution.

saving to clipboard

icons for export

You can save the drawing to the Windows clipboard using command Edit - Save to Clipboard or icon #2. The drawing can be then pasted for example into MS Word using shortcut Ctrl + V.


Export to DXF data format

DXF is a data format developed by Autodesk for enabling interoperability between CAD programs.

ProfiCAD can export documents to DXF format version 21 (AutoCAD 2007).

Online Conversion

Free online converter from SXE to DXF format is available on //gallery.proficad.com/tools/ProfiCAD-AutoCAD.aspx (In ProfiCAD use command Help - Online Converter to DXF).

Export directly from the program

Is available only in commercial version. Select menu command Outputs - Export to DXF to export the current document. A dialog window appears where you need to select the output location of the conversion.

A greater number of drawings can be converted from the command line in a batch mode.

export to DXF

The procedure:

  1. Launch the command line.
  2. Navigate to the directory where the program is installed (probably C:\Program Files\ProfiCAD\)
  3. Go to subdirectory "lib"
  4. Execute statement
    for /r "location_of_the_drawings" %g in (*.sxe) do ProfiCAD2Dxf.exe "%g"
    For example if the drawings you want to convert are in directory "h:\test", the statement will look like this:
    for /r "h:\test\" %g in (*.sxe) do ProfiCAD2Dxf.exe "%g"
  5. The statement will convert all drawings in the path, including those in the subdirectories

This feature requires Microsoft .NET Framework Version 4.0 or newer.

It is also necessary to run the program update (at least once), because the necessary files are installed during the update.


Bill of material

Command Outputs - Bill of material displays the bill of material.

bill of material

When you check the Group checkbox, the number of pieces of each item is displayed.

bill of material grouped

Attributes in the bill of material

Specification of components was equipped with a new button Columns that allows you to define which attributes will be a part of the bill of material.

The list (1) contents the predefined values. The text field (2) allows you to add attribute values into the bill of material. The columns names are case sensitive. The list (3) contains chosen columns that will appear in the bill of material.

Buttons (4) allow changing the column order. The button (5) allows to remove a column and buttons (6) change alignment of columns in the specification of components.

bill of material

Bill of material Configuration

In the bottom part of the dialog window you can save the configuration under a name and use it later again.

How to save a configuration: Write a name into the field (7) and press an arrow on the right side from the field.

How to open a configuration: Choose the name of configuration from the list (8).

How to change a configuration: Choose the name of configuration from the list (8), make changes in the upper part of the dialog window and press an arrow on the right side from the field (7).

How to delete a configuration: Choose the name of configuration from the list (8) and press the button on the right side from it.

Bill of material filter

The filter allows you to determine which symbols are listed in the Bill of material.

In the Bill of material window, press the Filter button. A dialog box appears with the Symbols Filter tab and Layers Filter.

Bill of material filter

The symbols filter contains two text fields. In the Include box, specify the names of the symbols to be included in the bill of material. If this field is empty, all symbols will be included. In the Exclude box, specify the names of the symbols to be excluded from the bill of material.

Place each name on one line. It is enough to specify partial names. The filter supports two special characters:

^ for the beginning of the name. For example, ^dis pass matches all symbols that begin with "dis".

$ for the end of the name. For example, lay$ will matches all symbols that end with "lay".

Test area

In the right-hand part of the window there is a list of symbols used to test the filter. The list contains either only the symbols from the active document or the entire library.

Symbols from the active document are either green or red, depending on whether they passed the filter or not.

Symbols from the entire library let you test whether the filter could be used for symbols that are not in the active document. The list of symbols from the entire library is not colored and only the symbols that have passed through the filter are listed.


Netlist

You can generate the netlist from the Outputs - Netlist menu.

Before the netlist generation the program automatically checks the references of all symbols for correctness. Every symbol must have a reference defined and this reference must be unique in the whole document. The reference can be set up in the dialog box, which can be called out by double clicking on the symbol. If the program finds any errors in the symbols, the list of these errors is generated instead of the netlist.

The netlist format is RACAL REDAC. Every single line of the netlist represents one node. Each node consists of a list of symbols and their connection points (a space is used as a separator). For instance the node R1 1 T3 2 means a connection between the first connection point of the R1 resistor with the second connection point of the T3 transistor.

Symbol connection points are numbered automatically based on the order in which they were created in the symbol editor. To see the connection point numbers, switch the connection point number displaying on (View - Show connection point numbers).

The decision whether a wire and an connection point represent a conductive link is based on whether they have exactly the same position. It is therefore necessary to draw links only when all the symbols have been drawn. Be careful not to move the symbol by 0.1mm accidentally when using the cursor keys. Such small position change is not noticeable and the concerned links in the diagram will therefore not be conductive.

When you have generated the netlist, switch on the connection point number displaying (View - Show connection point numbers) and check the correctness of the diagram.

Example of a netlist

For this diagram

the program generated the following netlist:


List of wires

List of wires can be generated by command Outputs - List of wires. Each row in the table lists a wire and both components connected by the wire (in format component: connection point number).

connections with the same name displayed as one connection

When the merge wires of the same name checkbox is selected, connections with the same name are displayed as one connection.


Print symbols

Batch printing of symbols

In the paid version it is possible to print the symbols from your library using the menu command Outputs - Print Symbols. A dialog window appears where you can select the group(s) of symbols you want to print. You can also specify the density of the symbols, i.e. how many symbols should printed side by side.

print electrical symbols

The program shows how many symbols have been selected and how many sheets of paper will be needed. Start printing (or print preview) using the usual icons on the toolbar or use the Ctrl + P shortcut.

print preview of the symbols


Batch Printing

Batch printing of drawings

Use command File - Print Drawings to print multiple drawings at once. Use the Setup button to select a different printer.

If you select a PDF converter as a printer, you can use this function for bulk export to the PDF format.


List of pages

The list of pages makes it possible to:

  1. display a list of pages on a table
  2. fill in the variables of the pages
  3. switch to a particular page
  4. print the list of pages
ikona seznam stránek In the Pages panel, click on this icon to display the list of pages.

By default, the list of pages contains two columns: the name and the short name (code) of each page.

list of pages

Pressing the Columns button brings up a dialogue box, where you can specify which columns the list of pages will contain.

Each row within the table defines one column of the list of pages. The first column contains the description of a variable; the second column contains the name of that variable. The alignment of a column can be adjusted by using the three buttons below the table.

list of pages - columns

How to add a new column to the list of pages:

Click on the "plus" icon. A new row will appear in the table. Enter the description into the first column (e.g. "supplementary title") and the name of the variable into the second column (e.g. "titleSup").


Symbol library

The symbol library is installed in folder "Public Documents/ProfiCAD Library". It is recommended to move the library to a directory which is backed up regularly. You can do that in the program settings (F12 - Paths).

The library should contain several directories, which will appear in list (1). When selecting an item from list (1), its subdirectories will display in panel (2). When selecting items from panel (2), directories and symbol display in panel (3).

The symbols (.ppd and .picd files ) should not be directly at levels (1) and (2), because there would not be a place to display them, then.

electrical symbol library

The symbols are organized in PPD files in groups (directories). Symbol group names must not contain restricted characters \ / : * ? " < > | and must not start with the _ character.

If you need to reorganize the groups, you can use any file manager, such as Windows Commander, Total Commander, Windows Explorer, etc.

How to create a group

Create a directory in the library.

How to rename a group

Rename a directory in the library.

How to delete a group

Delete a directory in the library.

The library contains a several directories beginning with the "_" symbol, which have a special purpose:

_TB: Used to store title blocks (files with .ptb extension)
_LIN: Used to store the definition of lines (files with .lin extension)
_CONF: additional information, such as the default attributes of symbols

Three types of symbols used in ProfiCAD:

  1. symbols from libraries - these symbols are loaded from the PPD files. They can be edited in the Symbol Editor
  2. integrated circuits (IC) - these symbols are loaded from the PICD files. They can be edited in the Symbol Editor.
  3. built-in symbols - gates and transformers. Only some parameters (number of outlets, coils, etc.) can be edited for these symbols

The symbols have been created using the following standards:

  • Most symbols: EN 60617
  • Some of the symbols (used in U.S.): IEEE Std 315-1975 and ANSI Y 20.0-1975
  • Symbols for flow diagrams for process plants: EN ISO 10628.
  • IEC 61082: Preparation of documents used in electrotechnology


Drawing electrical symbols

changing an existing symbol

Double-click the symbol in panel "Symbols Textually" or right-click the symbol in panel "Symbols Graphically" and select the menu command open symbol.

creating a symbol

Use command File - New symbol. A new document is created. Draw the graphics elements (lines, rectangles) that make up the symbol.

When creating a symbol, graphical shapes need to be placed in a symmetric way, so that the symbol is symmetric to axes of the working screen.

center objects

Completed symbol must be saved in the library - the directory that is set in the program settings(F12 - Paths).

creating a symbol based on another symbol

If you plan to create a symbol that is similar to some other symbol that already exists in the library, it is advisable to create it as a copy and sketch in the parts that are different. This will ensure the symbols in the library will keep their consistency in terms of dimensions, connection points locations, etc.

In the symbols palette, right-click on the symbol used as a pattern to open a menu containing two commands. The first one is Open symbol; the second one is Create similar symbol.

creating similar symbol

A dialogue box appears upon selecting the second command. Enter the new symbol title. If the symbol is supposed to be in a different group, press the Change button and select the target group.

When confirmed using the OK button, the process of creating the new symbol is completed. All that is left to be done is making the changes that distinguish the new symbol from the original (sample) and saving the symbol.

The symbols are stored in files with "ppd" extension (normal symbols) or "picd" extension (integrated circuits).

positioning the outlets

The outlets need to be aligned. The figure shows an incorrectly positioned connection point which results in inability to wire the symbol, because the wire to another symbol would not be horizontal.

incorrectly positioned outlets

The majority of the symbols supplied with the program were designed with outlets spaced 2 mm or 4 mm. It is therefore preferable to keep these values in your symbols.

recommended spacing of outlets

The output numbers shown in the print reports are derived from the order in which the outputs were inserted into the symbol. To check the order of outputs run a command View - Show output numbers. Output order can be changed using the arrows in panel Explorer.

outlets order

test your symbol

Before you start using the new symbol, test it in a blank drawing. Insert it in various positions, make sure it can be wired correctly and it looks consistently with the existing symbols.

If you drew several symbols, you can print them using command File - Print Symbols and verify they look as intended.

renaming a symbol

The name of a symbol matches the name of the file in which it is stored, so just rename the file in any file manager (e.g. Windows Commander, Total Commander, Windows Explorer, etc.)

moving symbol to a different group

Move the file to a different folder using Windows Explorer or another file manager.

deleting a symbol or IC

Delete the file from the symbol library. You will find the path to the library in File - Options - Paths

For organizing the files you can use any file manager, such as Windows Commander, Total Commander, Windows Explorer, etc.

nested symbols

A symbol may contain other symbols. Nested symbols cannot contain text (this is a limitation of the program).


Properties of the symbols

Each symbol contains a number, default reference, default type and a comment. When the symbol is being edited, you can set up these properties in F12 - Document - Symbol

Number represents the name of the standard, in which the symbol is defined and the number of the symbol used in this standard. This parameter is optional and may not be specified for all symbols. If specified it is used in the standard: number format, e.g. EN 60617: 04-01-01

The default reference is the identifier of the symbol, for example R for resistor, C for capacitor, T for transistor, etc. The symbol references will be numbered automatically.

The default type defines electric properties of the symbol, e.g. resistance in Ω, capacity in pF, transistor type, etc. This type will be used as the implicit type in the diagram and you can adjust it any time. If the type is not specified, the symbol reference and type will not be displayed in the diagram.

Comment - here, you can specify a comment.

Example:

For a resistor you add "R" for the reference and "10K" for the type (this is done in the symbols editor). When you insert resistors in the diagram, the first one will be "R1", "10K", the second one "R2", "10K" etc. The symbol reference and value will be displayed in the diagram. You can then adjust the values based on your actual need.

For earthing symbols you select the "earth" reference and do not specify any value. When you paste the earth (mass) symbols in the diagram, the first will be named "Earth1", the second "Earth2", etc. Symbol reference nor value will not be displayed as the type was not entered.

Initial values for reference and type

You can easily set the initial values for Reference and Type using the Library Configuration tool. Select the menu command File - Library Configuration.

A dialog window will open. Then select the Symbols tab. Select a symbol group in the left pane. In the right pane, specify the initial values for the reference and the type for the symbols of the selected symbol group.

When you are done with the changes, close the window and use the menu command View - Reread symbols.


Rotating graphical shapes

Graphical objects can be rotated by menu command Object - Turn permanently. A dialog box appears, where you can specify the how many degrees the objects should rotate and around which point.

There are two types of rotating:

1. type (lines, polylines and Bezier curves) - each point of the object is rotated by given angle.

2. type (other objects) - only the mid-point of the object is rotated by given angle.

Let us illustrate rotating in an example, drawing a three phase machine:

step 1

Create the first branch of the machine. It is made up of two lines, three Bezier curves and a connection point.

step 2

Select all objects with the mouse pointer and save them to the clipboard by Ctrl + C. Then invoke menu command Object - Turn permanently. Enter 120° degrees in the dialog box and hit the OK button.

step 3

Insert the original branch by Ctrl + V. Select the branch with the mouse and turn the objects by -120°.

step 4

Insert the original branch again. Symbol is done.


How to resize a symbol

  • in the drawing
  • in the symbols editor

in the drawing

A symbol can be resized by dragging its handles with your mouse. Handles in the corners resize the symbol while maintaining the width / height ratio. The other handles resize the symbol only in the appropriate direction.

The size of a symbol can also be changed in the Properties panel, by entering values of the "scale" property for X and Y axis.

It is possible to set the initial scale of the newly inserted symbols to the drawing. This option can be entered in the program settings (F12 - Symbols - initial scale of the symbols.

If you increase the size of a symbol and you will feel that their lines are too thin, you can set a ratio by which the thickness of the lines and wires is multiplied.

For example, if you specify the ratio 1.5, the line thickness will change from 0.2 mm to 0.3 mm (1.5 x 0.2 = 0.3). This setting can be entered in the program settings (F12 - Paths - Symbols and wires line thickness ratio.

initial scale ratio

in the editor

resizing a symbol

In the symbols editor, it is possible to change the size of a symbol using the menu command Object - Resize a Symbol. A dialog box appears where you can set a new size using the slider.

This feature is intended for the case when you have created a symbol and later realized that it should have a different size.


Symbol parameters

This symbol (pulse-code modulation) can be used only with values 3 and 7. The problem can be solved as follows:
Open the symbol in the editor of symbols. Replace the values 3 and 7 by parameters - for example x and y in curly braces { }. You will get a parameterized symbol.

In the drawing select the symbol, open the Properties panel (by double clicking the symbol), click the "Parameters" link and enter the values for the x and y parameters.


Symbol attributes

Symbols can be provided with a text description - attributes. The attributes can be created using link Attributes in the bottom part of the panel Properties (appears after you double-click on the symbol).

A dialog window will appear where you can specify the attribute name, its value and visibility in the drawing.

The attribute names can content only letters and numbers, cannot start with a number and are advised to start with a capital letter.

attributes of a symbol

Group attributes

To avoid specify attributes for each symbol separately, the program allows you to predefine attributes for symbols according to the group they belong to. Group attributes can be specified using command menu File – Library Configuration. A dialog window will appear with the symbol library. Choose a symbol group on the left side. Specify attributes on the right.

The attribute value can be left empty or filled with a value that will be used most. Every symbol that will be inserted in the drawing will get attributes of its group and all its parent groups. Attributes that will be added to the group “ProfiCAD Library" will be assigned to all symbols. Use menu command View - reread symbols to apply the changes in the symbol library.

Positions of attributes

You can specify at which positions the attributes of a newly inserted symbol will appear.

The procedure:

  1. Insert a symbol into the drawing.
  2. Drag symbols' attributes to the desired positions.
  3. Right-click the symbol and select command Save positions of labels.


Numbering symbol connection points

The program allows you to assign numbers to symbol connection points. The numbers are displayed in the drawing and used in the list of wires.

Right-clicking a symbol in the drawing brings up context menu. Select Connection points. In the dialog window enter the connection point numbers.

symbol with outlet numbers

After you have confirmed the dialog (by the OK button) you can use the mouse to adjust positions of the connection points numbers in the drawing.

Using the context menu item Save outlets and attributes you can save the positions of the connection point numbers and attributes. Newly entered symbols will have the same positions of the connection points numbers and attributes.

You can set color of the connection points numbers through F12 - Document - Fonts.


How to insert a title block into a drawing

default title block

If this function is not disabled (F12 - "Others" tab, field initial title block for new drawings at the bottom of the dialog window), a title block is automatically inserted into new drawings.

inserting title block

for all pages

Press F12, select Title block and use the Change button to select the title block you want to use. This title block will be used on all page that do not have title block specified.

for a particular page

Right-click in the page, select Page settings and select title block tab.

showing / hiding title block

Check Show Title Block on the top of the window to make the TB visible. You can temporarily hide the title block by unchecking the checkbox. You can completely remove the title block from the document using the Remove button. If you remove the title block, the size of the file with the drawing will decrease.

after the title block was changed

Use the Reload button to reload the title block into the drawing.

title block display options

You can adjust the distance of the TB from the borders of the document. Check Turn by 90° to turn the TB to get for example a landscape oriented drawing with a TB on the shorter side.

dialog window for inserting title block into a drawing


How to create a title block

You can use the standard title block supplied with ProfiCAD or create your own.

standard title block supplied with ProfiCAD

Title blocks (TB) are created using command File - New Title Block.

how to change logo in a title block

Use command File - Open Title Block to open a title block. Select the logo and delete it using key del. Insert your logo (command Insert - Image) and save the title block (Ctrl + S)

how to change a title block

You can edit existing TB by opening (File - Open Title Block) a file with .ptb extension. These files should be in the _TB folder in the symbol library.

TB is made up of graphical objects - lines, rectangles texts etc. It is possible to insert an image (for example with the company's logo). TB should be created symmetrically by the drawing area axis, similarly as symbols.

placeholders

Texts can contain a placeholder part, which is replaced with the actual value of a variable. The placeholder part is demarcated by symbols { and }.

For example in text

Created by: {author}

the placeholder area will be replaced with the "author" item from the variables info.

The items that are different on each page need to be entered in panel Pages.

Title block can contain system variables automatically generated by the program.


Variables

Variables are used to display variable information in the title block. Write the variables in the form {variable-name}. The program replaces the variable name with its value.

If the value of the variable is specified in both cases (for the entire document and for the page), the value for the page takes precedence.

User Variables

User variables can be defined for the entire project (F12 - Project - Variables) or for a single page (the User Variables tab in the Page Setup dialog).

System Variables

Project wide system variables:

name | meaning
_path | path to the drawing
_file | file name of the drawing

Page specific system variables:

name | meaning
_po | page ordinary number
_pc | page count (total number of pages)
_pcs | page ordinary number (multi-page reports: one sheet of paper = one page)
_pcsc | page count (total number of pages) (multi-page reports: one sheet of paper = one page)
_pa | page abbreviation (short name)
_potb | page ordinary number (just pages with title block)
_sc | page scale
_du | dimension unit

For example, the title block could contain the field "Sheet: {_po}/{_pc}" which appears in the drawing such as "Sheet: 3/10".

Some variables are correctly displayed only in print preview and in print.


Working environment setting

The following commands are available in the View; menu

Background color

Sets the background color of the drawing.

Helper lines

Helper lines between symbols and their labels make it easier to navigate more complex drawings. Thanks to the helper lines, there is no misunderstanding as to which symbol a particular label belongs to.

Use the View - Show helper lines command to show or hide the helper lines.

Use the View - Print and export helper lines command to set whether helper lines should be printed and exported.

Show outlet numbers

Toggles the symbols' outlet numbers display on/off. Very useful for checking of the generated netlists.

...more about the Netlist

more information about working environment:

Zoom

A list of values for working environment scale setting (zoom) is available in the main toolbar.

Units

The program uses tenths of mm units for line thickness, label positions, etc. setting.

Purging the drawing

Purging the drawing (menu File - Purge) removes from the drawing objects no longer used (symbols, images and title blocks). This will reduce the file size of the drawing. It is recommended to run this function occasionally, especially for larger drawings.


Program settings

Use menu command File - Options or press F12 to access program settings.

You can make the following settings in this dialog box:

system settings | current document settings
paths control symbols others wires | reports fonts contents variables description title block reference grid wires numbering

System - Paths

Symbol library

Set the main path (root directory), where all symbols are stored (PPD and PICD files).

Open in Windows Explorer

This button opens Windows Explorer in the directory where your ProfiCAD library is located. Useful when you need to manipulate the contents of the library (rename, move or delete files and directories).

System - Control

Enable UNDO/REDO

The UNDO/REDO function allows you to cancel the last action. In this dialog box you can disable the undo/redo function.

Number of steps on zoom change

The zoom is being changed continuously to prevent eye fatigue. Higher value is smoother, lower value is faster.

Enable auto scrolling

When you move the mouse pointer to the edge of your working area, the drawing scrolls in the appropriate direction.

Confirmation when deleting

Activates/deactivates the message "Delete selected objects?" when deleting objects.

Auto-Save

Enables save documents automatically. Auto-Save saves only documents that have been saved manually before.

Option Create backup copy creates a backup copy of the document on every save. The backup copy replaces the previous backup copy. The backup copies have extension BAK and they are saved to the same folder as the document.

This option does not replace a proper backup !!!

System - Symbols

System - Others

Working area in Symbol Editor

If you draw larger symbols you can set up a higher value.

Remember properties of lines and wires

If you change color or thickness of a line or a wire, the next line or wire will be drawn with the same color and thickness.

Language

This setting allows changing the language of the program.

This setting has no effect on the symbol library language. If you accidentally install a program in an unwanted language, uninstall the program and reinstall it in the language you want.

If you need to create drawings in different languages, install the program multiple times, for each language you need. Your symbol library will then contain symbols in all languages.

Check for updates at program start

At program start ProfiCAD checks whether a newer version is available. If yes, it is downloaded and installed. In such case, you will be prompted to save your work, because the program will need to restart.

It is recommended to leave this setting on, so you always have the latest version. If you do not have permanent internet connection, please check for updates occasionally using Windows menu Start - Program Files - ProfiCAD - Check for updates.

System - Wires

Auto-connect symbols over wire

The program allows connecting a symbol into an existing connection (wire). A symbol placed over a connection is automatically connected into the connection. When the symbol is deleted, the connection is restored.

Auto-connecting of symbols

When a symbol does not auto-connect, it may be due to snap. Increase the zoom and move the symbol while holding the Shift key (to suppress the effect of snap).

Document - Reports

Contains various options for adjusting the appearance of print reports.

Document - Fonts

The settings for "Letterings" and "Texts" are only initial settings, which can be later modified for each text individually.

Document - Contents

Show types and values

You can activate/deactivate displaying of all types and values (so you do not need to activate/deactivate every individual value and type).

Framing

Activates/Deactivates the frame around the diagram and the title block.

Variables

Here enter the variables for the title block.

Document - Description

Place for description of the project.

Title block

Use this dialog to insert a title block into your drawing. More info here.

Reference grid

The reference grid is used for better orientation in large drawings. It is in the paid version only.

Wires numbering

It contains various options for placing connection labels and the option to start renumbering connections. This can also be started using the menu command Edit - Renumber wires.


Dimensions of the drawing area

Dimensions of the drawing area can be affected in two ways:

a) add pages using the Pages panel. The drawing will consist of several separate pages. Each page may show a title block, a framing and a reference grid.

b) increase the dimensions of the page. Specify number of sheets of paper across and down.


Print Settings

Right-click the drawing, select Page Settings from the popup-menu and select the Print Settings tab. A dialog box appears, which allows you to:

  • select a paper size from several predefined formats
  • select page orientation (portrait or landscape)
  • if you want to use a different size, press the Setup button and select a format in the printer dialog
  • set the print scale
  • print a drawing on a given number of paper sheets across and down (this allows for example to print an A3 size drawing on an A4 size paper)

Page size

Right-click the drawing, select Page Settings from the menu and select the Page Size tab. A dialog box appears, offering three paper sizes:

  • a) according to print settings
  • b) custom size in millimeters
  • c) predefined paper sizes

For a) and b), you can also specify the number of sheets of paper across and down.

Copy settings to other pages

Use this function to apply format settings to multiple pages simultaneously. This can be useful if, for example, you want to change the paper size for a multi-page drawing.


Page Size

Right-click the drawing, select Page Settings from the menu and select the Page Size tab. A dialog box appears, offering three paper sizes:

  • a) according to print settings
  • b) custom size in millimeters
  • c) predefined paper sizes

For a) and b), you can also specify the number of sheets of paper across and down.

You can also set the page orientation (portrait or landscape) here.

Copy settings to other pages

Use this function to apply format settings to multiple pages simultaneously. This can be useful if, for example, you want to change the paper size for a multi-page drawing.


Toolbar area

The individual toolbars can be turned on and off by right-clicking in the toolbar area.

You can drag the toolbars to the left, right, or bottom edge of the main window.


Status bar

The status bar is located at the bottom of the main window.

When dragging an object using the mouse, this information bar appears on the left side of the status bar:

  1. Coordinates of the dragged object (left, top, right, and bottom edge)
  2. Scale of the symbol
  3. Change of position of the object in angle brackets

When moving the mouse over the drawing area, this information bar appears on the right side of the status bar:

  1. Page name and page area in the format "/page-name.page-area"
  2. Mouse coordinates
  3. Name of the active layer in brackets


Line styles

Program ProfiCAD uses predefined line styles in the LIN format which is also used in some CAD systems. Line style definitions are stored in files with "lin" extension which are located in the _LIN folder in the library. There can be multiple lin files there - in such case the line definitions are merged (i.e. styles from all files are then available).

In the Properties panel you can set select a style of a line using this dialog:

LIN Format:

It is a text file. Each line style definition has two lines. The first line starts with character * followed by the name of the style, then a description separated by ",".

The second line starts with A followed by a row of comma separated numbers.

The first number means the length of a line segment. The following number is a length of a space. The following number is length of a line segment and so on. The unit is centimeter. Number 0 denotes a dot.

Example:

*dash dot dot (2x), ____ . ____ . ____ . ___

A,1.0,-.5,0,-.5

First line denotes the name of the style

1.0 segment of length 1 cm

.5 space 0.5 cm

0 means dot

.5 space 0.5 cm

then it all goes on.

For better understanding it is recommended to study file lines.lin in the _LIN folder.


Backing up

What would happen if your computer malfunctioned or got lost? Would you be able to recreate all your data (drawings and symbols)? How long would it take to draw everything all over again?

  1. Make sure your drawings are in proper order. It could become difficult to secure your drawings if they are scattered in random folders on your computer.
  2. Copy all of your drawings onto a USB stick and store it safely. Do this regularly, like once a week. Add it to your calendar as a reminder.
  3. Store your drawings in a folder that is used together with such online services as Dropbox, OneDrive, Google Drive, etc. That way, you can access them from every one of your PCs, including Android devices. These services also give you access to older versions of your files.
  4. Windows 10 includes a "File History" feature that we recommend using.


Search

The Search panel allows you to search for symbols, texts and graphic objects (if they contain text).

Type in the search term in the search box (1). You can switch to the results area (2) using the arrow down key. The object that you select in the search results area will be highlighted in the drawing.

Search is performed in all pages and in all layers of the drawing. This differs from the Explorer panel, which displays only the objects from the current page and layer.


Snap and Gitter

Snap and Grid

Snap

The snap makes it easier to align symbols, text labels and other objects.

setting snap on the toolbar

Snap of the current document can be adjusted on the main toolbar (2).

A feature called "automatic snap" can be activated by the button (1). In this mode the value of the snap is automatically calculated from the actual zoom.

Grid

The main grid with a spacing of 1 cm can be switched on or off by the command View - Grid or by the keyboard shortcut m.

It is also possible to turn on the secondary grid that corresponds to the current snap using the View - Snap command.